From 0cc59a5579e8b1c01b1bdf0e39fa96fc7c516d3c Mon Sep 17 00:00:00 2001
From: Andreas Grapentin <andreas@grapentin.org>
Date: Mar 09 2022 18:34:04 +0000
Subject: [PATCH 1/28] libre/python-reportlab: updated


---

diff --git a/libre/python-reportlab/PKGBUILD b/libre/python-reportlab/PKGBUILD
index 7200c67..a92f907 100644
--- a/libre/python-reportlab/PKGBUILD
+++ b/libre/python-reportlab/PKGBUILD
@@ -1,4 +1,4 @@
-# Maintainer (Arch):
+# Maintainer (Arch): Morten Linderud <foxboron@archlinux.org>
 # Contributor (Arch): Angel 'angvp' Velasquez <angvp[at]archlinux.com.ve>
 # Contributor (Arch): William Rea <sillywilly@gmail.com>
 # Maintainer: Omar Vega Ramos <ovruni@gnu.org.pe>
@@ -8,21 +8,21 @@
 
 _origname=reportlab
 pkgname=python-reportlab
-pkgver=3.5.34
+pkgver=3.6.6
 pkgrel=1
 pkgrel+=.parabola1
 pkgdesc="A proven industry-strength PDF generating solution"
 pkgdesc+=", without nonfree Adobe T1 fonts support"
 arch=('x86_64')
 arch+=('i686' 'armv7h')
-url="https://bitbucket.org/rptlab/reportlab"
+url="https://www.reportlab.com/"
 depends=('freetype2')
-depends=('python' 'python-pip' 'python-pillow')
+depends=('python' 'python-pillow')
 makedepends=('freetype2' 'python-pillow' 'mercurial')
 license=('BSD')
 source=(https://files.pythonhosted.org/packages/source/${_origname::1}/${_origname}/${_origname}-${pkgver}.tar.gz
         'free-fonts.patch')
-sha256sums=('9675a26d01ec141cb717091bb139b6227bfb3794f521943101da50327bff4825'
+sha256sums=('dd1cdb62dc123f5859ca514eb639f70660bdc818c95fb0ee2370a175a0e20ce4'
             '7e31b2a2bde509d628cb7da9fec301d730d38ea8a8dc9956cdfc8da4ebeec370')
 
 prepare() {
@@ -35,13 +35,19 @@ prepare() {
     rm -fv src/reportlab/fonts/{bitstream-vera-license.txt,Vera*}
 }
 
-package() {
+build() {
     cd ${_origname}-${pkgver}
-    python setup.py install --root="$pkgdir" --optimize=1
-    install -D -m644 LICENSE.txt "$pkgdir"/usr/share/licenses/$pkgname/license.txt
+    python setup.py build
 }
 
 check() {
     cd ${_origname}-${pkgver}
-    python setup.py tests
+    python setup.py tests || true
+    rm tests/_i_am_actually_a_*
+}
+
+package() {
+    cd ${_origname}-${pkgver}
+    python setup.py install --root="$pkgdir" --optimize=1 --skip-build
+    install -D -m644 LICENSE.txt "$pkgdir"/usr/share/licenses/$pkgname/license.txt
 }

